QuickStartアプリを取得
get
/ic/api/process/v1/quickStartApps
表示が許可されているすべての利用可能なQuickStart Appの情報を返します。
リクエスト
この操作のリクエスト・パラメータはありません。
トップに戻るレスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功。 QuickStartアプリケーションを取得します。
ネストされたスキーマ : quickStartApp
型:
objectQuick Startアプリケーションの表現
401レスポンス
未認可
500レスポンス
QuickStartアプリの取得中にエラーが発生しました
例
次の例は、RESTリソースでGETリクエストを送信してQuickStartAppを取得する方法を示しています。
リクエストの送信
次の例では、送信リクエストのコンテンツを示しています。
https://example.com/ic/api/process/<version>/quickStartApps
説明
-
example.comは、Oracle Integrationが実行されているホストです。 -
<version>はREST APIバージョンです。
レスポンス・ヘッダーの例
Status Code: 200 OK Date: Mon, 03 Apr 2017 09:39:39 GMT Content-Type: application/json
レスポンス本文の例
{
"items": [
{
"name": "Business Plan Approval",
"description": "This application contains three levels of approval for a business plan. If any of the three levels reject the plan, it is returned to the owner for resubmission.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Business%20Plan%20Approval",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Business%20Plan%20Approval",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Form Approval",
"description": "In this application, the process owner submits a request for approval and fulfillment. If the request is denied, the applicant may resubmit with additional information.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Form%20Approval",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Form%20Approval",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Loan Application",
"description": "This loan application starts with the loan applicant submitting a form. The loan applicant and appraiser upload supporting documentation and then the Loan Department and Finance Departments review and approve.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Loan%20Application",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Loan%20Application",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Parallel Request",
"description": "In this application, the process owner submits a request which is reviewed and validated in parallel by the process owner and the process reviewer. ",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Parallel%20Request",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Parallel%20Request",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Quote Approval",
"description": "This quotation approval is initiated when the sales representative completes the Submit Quote Form. Rules determine whether the quotation must be approved by product management, Finance, and/or Legal. If the quotation is rejected, a notification is sent to the sales representative.\n",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Quote%20Approval",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Quote%20Approval",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Three level approval",
"description": "This application starts with the requestor submitting a form which then moves through three levels of approval. If any of the approvers rejects the request, the request is sent back to the requestor for resubmission.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Three%20level%20approval",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Three%20level%20approval",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Travel App",
"description": "This is travel application",
"type": "CUSTOMER",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Travel%20App",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Travel%20App",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "Travel Approval",
"description": "An employee submits a travel request for approval, and, if it is approved, the employee is instructed to book the travel. If it is rejected, the employee can resubmit with additional documentation.",
"type": "ORACLE",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Travel%20Approval",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/Travel%20Approval",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
},
{
"name": "TravelForm",
"description": "This is travel form",
"type": "CUSTOMER",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/TravelForm",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps/TravelForm",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/quickStartApps",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
}